echo off
cls
if "%1" == "" goto default
if "%2" == "" goto param1
goto params2

:params2
set destdrv=%1
set destdir=%2
goto instruct

:param1
set destdrv=%1
set destdir=\FORD
goto instruct

:default
set destdrv=c:
set destdir=\FORD
goto instruct

:instruct
echo.
echo    Ford Showroom
echo.
echo    This program will install from the current
echo    drive to the %destdrv% drive, and the %destdir% directory.
echo    You must have 5,000,000 bytes free on your
echo    %destdrv% drive to install this program.
echo    You may continue installing the Ford Showroom
echo    or press Ctrl-C now to terminate this process.
echo.
echo    If you wish to install to another drive, after
echo    you leave the install procedure with Ctrl-C, type
echo    install [drive-name], e.g. "install d:".
echo.
pause
if exist %destdrv%%destdir%\ford.exe goto dir_option
goto copy

:dir_option
cls
echo    Ford Showroom
echo.
echo    You already have a %destdrv%%destdir% directory.  If
echo    you continue, you will be copying the new Ford Showroom
echo    over your old one.
echo.
echo    If you wish to install to another directory, after
echo    you leave the install procedure with Ctrl-C, type
echo    install [drive-name] [directory-name], 
echo    e.g. "install d: \FORD".  
echo.
pause
goto copy

:copy
ctty nul:
md %destdrv%%destdir%
ctty con:
fordz -o %destdrv%%destdir%
cd %destdrv%%destdir%
%destdrv%
echo.
echo    To run this SoftAd, type "FORD" at the
echo    "%destdrv%%destdir%>" prompt.
echo.
